<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsCompanyCompaniesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_company_companies
         */
        Schema::create('litecms_company_companies', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->integer('parent_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('description')->nullable();
            $table->integer('manager_id')->nullable();
            $table->tinyInteger('lead_pool_open')->nullable();
            $table->integer('call_target')->nullable();
            $table->integer('listing_target')->nullable();
            $table->integer('lead_target')->nullable();
            $table->integer('viewing_target')->nullable();
            $table->integer('offer_target')->nullable();
            $table->integer('deal_target')->nullable();
            $table->string('customercare_mobile', 50)->nullable();
            $table->string('customercare_email', 200)->nullable();
            $table->string('user_type', 20)->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_company_companies');
    }
}
