<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for company in company package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  company module in company package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Company',
    'names' => 'Companies',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Companies',
        'sub' => 'Companies'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'branch',
                    'value'  => 'branch',
                    'text'   => 'branch',
                ],
                                
                [
                    'key'    => 'department',
                    'value'  => 'department',
                    'text'   => 'department',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'parent_id'                  => 'Please enter parent id',
        'name'                       => 'Please enter name',
        'type'                       => 'Please select type',
        'description'                => 'Please enter description',
        'manager_id'                 => 'Please enter manager id',
        'lead_pool_open'             => 'Please enter lead pool open',
        'call_target'                => 'Please enter call target',
        'listing_target'             => 'Please enter listing target',
        'lead_target'                => 'Please enter lead target',
        'viewing_target'             => 'Please enter viewing target',
        'offer_target'               => 'Please enter offer target',
        'deal_target'                => 'Please enter deal target',
        'customercare_mobile'        => 'Please enter customercare mobile',
        'customercare_email'         => 'Please enter customercare email',
        'user_type'                  => 'Please enter user type',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'parent_id'                  => 'Parent id',
        'name'                       => 'Name',
        'type'                       => 'Type',
        'description'                => 'Description',
        'manager_id'                 => 'Manager id',
        'lead_pool_open'             => 'Lead pool open',
        'call_target'                => 'Call target',
        'listing_target'             => 'Listing target',
        'lead_target'                => 'Lead target',
        'viewing_target'             => 'Viewing target',
        'offer_target'               => 'Offer target',
        'deal_target'                => 'Deal target',
        'customercare_mobile'        => 'Customercare mobile',
        'customercare_email'         => 'Customercare email',
        'user_type'                  => 'User type',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
