<?php

namespace Litecms\Company\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litepie\Actions\Traits\LogsActions;
use Litepie\Notification\Traits\SendNotification;
use Litecms\Company\Models\Company;


class CompanyAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.company.company';
    protected $eventClass = \Litecms\Company\Events\CompanyAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Company $company, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $company;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Company $company, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $company = $company->create($attributes);
        return $company;
    }

    public function update(Company $company, array $request)
    {
        $attributes = $request;
        $company->update($attributes);
        return $company;
    }

    public function destroy(Company $company, array $request)
    {
        $company->delete();
        return $company;
    }

    public function copy(Company $company, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $company = $company->replicate();
            $company->created_at = Carbon::now();
            $company->save();
            return $company;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $company->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $company;
    }


}
