<?php

namespace Litecms\Company\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait CompanyExim
{

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function import(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('company.company.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function export(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('company.company.export')) {
            return true;
        }

        return false;
    }
}
