<?php

namespace Litecms\Company\Policies;

use Litecms\Company\Models\Company;
use Litepie\User\Interfaces\UserPolicyInterface;

trait CompanyWorkflow
{

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function approve(UserPolicyInterface $authUser, Company $company)
    {
        if ($authUser->canDo('company.company.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function submit(UserPolicyInterface $authUser, Company $company)
    {
        if ($authUser->canDo('company.company.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function publish(UserPolicyInterface $authUser, Company $company)
    {
        if ($authUser->canDo('company.company.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unpublish(UserPolicyInterface $authUser, Company $company)
    {
        if ($authUser->canDo('company.company.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function archive(UserPolicyInterface $authUser, Company $company)
    {
        if ($authUser->canDo('company.company.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unarchive(UserPolicyInterface $authUser, Company $company)
    {
        if ($authUser->canDo('company.company.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function reject(UserPolicyInterface $authUser, Company $company)
    {
        if ($authUser->canDo('company.company.reject')) {
            return true;
        }

        return false;
    }

}
